<?php
/**
* 2007-2020 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
*
*  @author    smspanelyab
*  @copyright 2020 smspanelyab
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*/

class panelyabpanelAdminAjaxController extends AdminController
{
	/**
	 * @var int
	 */

	public function init()
	{
		parent::init();
	}

	public function postProcess()
	{
	  if(!class_exists('panelyabsms')) die('The module class not found!');
	  $panelyabsms = new panelyabsms;
	if (isset($_FILES) && !empty($_FILES)) {
	  try{
		$file = unserialize(base64_decode(file_get_contents($_FILES['settingsfile']['tmp_name'])));
		include_once(__DIR__.'/../../include/configs.php');
		foreach($this->configs as $key => $value){
			if(isset($file[$key])){
				Configuration::updateValue($panelyabsms->prefix . $key, $file[$key]);
			}
		}
		$result = true;
		die( Tools::jsonEncode( array('result'=>'true','body'=> 'بازگردانی انجام شد.')));
	  }catch(Exception $e){
		  die( Tools::jsonEncode( array('result'=>'false','body'=>$e)));
	  }

	}
	  if(Tools::getValue('method')){
		switch (Tools::getValue('method')) {
		  case 'oneverypagesendsms' :
			$SMSmassage = Tools::getValue('massage');
			$phonenumber = Tools::getValue('phonenumber');
			if($SMSmassage == '') die(Tools::jsonEncode(array('result'=>'0')));
			$result = $panelyabsms->sendOne($SMSmassage, $phonenumber, '-', '-', $this->l('Send SMS Manual'));
			die( Tools::jsonEncode( array('result'=>$result)));
			break;
		  case 'getDelivery' :
			$bulk = Tools::getValue('bulk');			
			$lastStatus = $panelyabsms->panelGetDelivery($bulk);
			$descibedStatus = $panelyabsms->deliveryStatusTranslate($lastStatus);
			if(in_array($lastStatus, array('failed', 'discarded', 'delivered'))) $panelyabsms->updateLogs($bulk,$lastStatus);
			die( Tools::jsonEncode( array('result'=>$descibedStatus)));
			break;
		  case 'savepreparedsmssort' :
			$sort = Tools::getValue('sort');
			$sortArray = explode('-',$sort);
			array_pop($sortArray);
			foreach($sortArray as $sort){
				$newsort = explode(':',$sort);
				$panelyabsms->updatePreparedSMSTextSort($newsort[0],$newsort[1]);
			}
			die( Tools::jsonEncode( array('result'=>'1')));
			break;
		  case 'savePreparedSmsText' :
			$smsID = Tools::getValue('smsID');
			$newText = Tools::getValue('text');
			$panelyabsms->updatePreparedSMSTextMessage($smsID,$newText);
			
			die( Tools::jsonEncode( array('result'=>'1')));
			break;
		  case 'deletePreparedSms' :
			$smsID = Tools::getValue('smsID');
			$panelyabsms->deletePreparedSMSTextMessage($smsID);
			die( Tools::jsonEncode( array('result'=>'1')));
			break;

		  case 'clearAllQueue' :
			$panelyabsms->clearAllQueue();
			die( Tools::jsonEncode( array('result'=>'1')));
			break;
		  case 'ordersendsms' :
			$idShop = Tools::getValue('idShop');
			$SMSmassage = Tools::getValue('massage');
			$customer_id = Tools::getValue('customer');
			$order_id = Tools::getValue('order');
			$phonenumber = Tools::getValue('phonenumber');
			if($SMSmassage == '') die(Tools::jsonEncode(array('result'=>'0')));
			$result = $panelyabsms->sendOne($SMSmassage, $phonenumber, $customer_id, $order_id, $this->l('Manual SMS'));
			die( Tools::jsonEncode( array('result'=>$result)));
			break;
		  case 'customersendsms' :
			$idShop = Tools::getValue('idShop');
			$SMSmassage = Tools::getValue('massage');
			$customer_id = Tools::getValue('customer_id');
			$phonenumber = Tools::getValue('phonenumber');
			if($SMSmassage == '') die(Tools::jsonEncode(array('result'=>'0')));
			$result = $panelyabsms->sendOne($SMSmassage, $phonenumber, $customer_id, '-', $this->l('Manual SMS'));
			die( Tools::jsonEncode( array('result'=>$result)));
			break;
		  case 'patterncodechecker' :
			$pcode = Tools::getValue('pcode');
			$user = Configuration::get($panelyabsms->prefix . 'USERNAME' , null , null , $panelyabsms->shop_id);
			$pass = Configuration::get($panelyabsms->prefix . 'PASSWORD' , null , null , $panelyabsms->shop_id);
			$checkresult = $this->patternchecker($user,$pass,$pcode,$panelyabsms);
			die( Tools::jsonEncode( array('result'=>$checkresult)));
			break;
		  case 'sendagain' :
			$logid = Tools::getValue('logid');
			$customer = Tools::getValue('customer');
			$idshop = Tools::getValue('idshop');
			$phone = Tools::getValue('phone');
			$SMSmassage = Tools::getValue('smstext');
			if($SMSmassage == '' || empty($phone) || !is_numeric(str_replace('+','',$phone)) ) die(Tools::jsonEncode(array('result'=>'0')));
			$log = $panelyabsms->getLogs(0, 1, null, null, null,null,null,null, null, $logid);
			if(isset($log[0]['description'])){
				$result = $panelyabsms->sendSMS(array('message'=> $log[0]['description'], 'reciver' =>  $phone) , 'ارسال مجدد');
				die( Tools::jsonEncode( array('result'=>$result )));
			}else{
				die(Tools::jsonEncode(array('result'=>'0')));
			}
			break;
		  case 'backuppanelyabsmsData' :
		  try{
			include_once(__DIR__.'/../../include/configs.php');
			foreach($this->configs as $key => $value){
				$rows[$key] = Configuration::get($panelyabsms->prefix.$key , null , null , $panelyabsms->shop_id);
			}
			$result = true;
			$output = base64_encode(serialize($rows));
			die( Tools::jsonEncode( array('result'=>'true','body'=> $output)));
		}catch(Exception $e){
			  die( Tools::jsonEncode( array('result'=>'false','body'=>$e)));
		  }
			break;
		  case 'restorepanelyabsmsSettings' :
		  try{

			die( Tools::jsonEncode( array('result'=>'true','body'=> '123')));
		  }catch(Exception $e){
			  die( Tools::jsonEncode( array('result'=>'false','body'=>$e)));
		  }
			break;
		  case 'testsms' :
			$customer = new stdclass();
			$customer->id_gender = 1;
			$customer->firstname = 'تست';
			$customer->lastname = 'تستی';
			$customer->phone = Tools::getValue('customernumber');
			$customer->phone_mobile = Tools::getValue('customernumber');
			$customer->id = 0;
			$customer->id_customer = 0;
			$customer->email = 'test@test.com';
			$customer->password = '123456';
			$order = new stdclass();
			$order->id = 234;
			$order->reference = 'TESTORDER';
			$order->payment = 'درگاه تستی';
			$order->module = 'درگاه تستی';
			$order->total_paid = "35000";
			$order->orderstate = 'آماده ارسال';
			$order->shipping_number = '1645238452165426';
			$order->products = "دوربین دیجیتال کانون * 1 \n فلش 2 گیگ هاردستون * 2";
			$currency = new stdclass();
			$currency->name = 'تومان';
			$carrierClass = new CarrierCore;
			$carriers = $carrierClass->getCarriers($this->context->language->id);
			$carrier = new stdclass;
			$carrier->id_carrier = $carriers[0];
			$condition = Tools::getValue('condition');
			switch($condition){
				case 'newcustomer' :
					$params =  array('newCustomer' => $customer); 
					$result = $panelyabsms->hookActionCustomerAccountAdd($params, true);
				break;
				case 'neworder' :
					$params =  array('customer' => $customer,'order' => $order,'currency' => $currency,'cart' => $carrier,); 
					$result = $panelyabsms->hookActionValidateOrder($params, true);
				break;
				case 'orderstatus' :
					$params =  array('customer' => $customer,'order' => $order,'carrier' => $carrier,'cart' => $carrier,); 
					$result = $panelyabsms->hookActionOrderStatusPostUpdate($params, true);
				break;
				case 'ordertracker' :
					$params =  array('customer' => $customer,'order' => $order,'cart' => $carrier,); 
					$result = $panelyabsms->hookactionAdminOrdersTrackingNumberUpdate($params, true);
				break;
				case 'newaddress' :
					$params =  array('object' => $customer); 
					$result = $panelyabsms->hookActionObjectAddressAddAfter($params, true);
				break;
				case 'outofstock' :
					$params =  array('testtype' => 'outofstock', 'id_product' => 24, 'product_name' => 'دوربین دیجیتال کانون مشکی با لنز حرفه ای', 'product_name_only' => 'دوربین دیجیتال کانون'); 
					$result = $panelyabsms->hookactionUpdateQuantity($params, true);
				break;

			}
			die( Tools::jsonEncode( array('result'=>$result)));
			break;
		  default:
			exit;
		}
	  }else{
		echo 'Hi. There was nothing to do!';
		die();	
	  }
	}

	private function patternchecker($user,$pass,$pcode,$panelyabsms){
		$url = $panelyabsms->server . "/api/select";
		$param = array
			(
				'uname'=>$user,
				'pass'=>$pass,
				'patternCode'=>$pcode,
				'op'=>'getPatternParams'
			);

		$handler = curl_init($url);    
		curl_setopt($handler, CURLOPT_CONNECTTIMEOUT, 5); 
		curl_setopt($handler, CURLOPT_TIMEOUT, 20);			
		curl_setopt($handler, CURLOPT_CUSTOMREQUEST, "POST");
		curl_setopt($handler, CURLOPT_POSTFIELDS, json_encode($param));                       
		curl_setopt($handler, CURLOPT_RETURNTRANSFER, true);
		$result = curl_exec($handler);
		$response = json_decode($result,true);
		if (is_array($response) && isset($response['status']['code'])) {
			$status = $response['status']['code'];
			switch($status){
				case 0:
					$patternMessage = $response['data']['patternMessage'];
					$patternParams = $response['data']['patternParams'];
					$result = array('status'=>$status,'message'=>$patternMessage,'vars'=>$patternParams);
					break;
				case 404:
					$result = array('status'=>$status,'message'=>'پترن در دسترس نیست.');
					break;
				case 962:
					$result = array('status'=>$status,'message'=>'نام کاربری یا رمز عبور اشتباه است.');
					break;
				default:
					$result = array('status'=>$status,'message'=>$response['status']['errorMessage']);
					break;
			}

		}else{
			$result = array('status'=>-1,'message'=>'اشکالی در دریافت اطلاعات پترن به وجود آمد.');
		}
		return $result;
	}
}