<?php
/**
* 2007-2020 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
*
*  @author    smspanelyab
*  @copyright 2020
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*/
 
if (!class_exists('jDateTime')) {
	include_once('jDateTime.php');
}
$cronLastRunDuration = Configuration::get($this->prefix . 'CronLastRunDuration' , null , null , $this->shop_id);
$cronLastRunTime = Configuration::get($this->prefix . 'CronLastRunTime' , null , null , $this->shop_id);
if($cronLastRunTime == null) $cronLastRunTime = $this->l('Never'); else $cronLastRunTime = jDateTime::date('Y/m/d H:i:s', $cronLastRunTime, null, true, null); 
if($cronLastRunDuration == null) $cronLastRunDuration = '-'; 
$fields_form_alerts = array(
	'form' => array(
		'legend' => array(
			'title' => $this->l('Alerts Settings'),
			'icon' => 'icon-bell'
		),
		'input' => array(
			array(
				'type' => 'switch',
				'label' => $this->l('Alert on create new account to admin:'),
				'name' => 'NEWCUSTOMERA',
				'class' => 'fixed-width-md',
				'desc' => $this->l('Send to Admin'),
				'values' => array(
					array(
						'id' => 'active_on',
						'value' => 1,
						'label' => $this->l('Yes')
					),
					array(
						'id' => 'active_off',
						'value' => 0,
						'label' => $this->l('No')
					)
				),
			),
			array(
				'type' => 'switch',
				'label' => $this->l('Alert on create new account to customer:'),
				'name' => 'NEWCUSTOMERC',
				'class' => 'fixed-width-md',
				'desc' => $this->l('Send to Customer'),
				'values' => array(
					array(
						'id' => 'active_on',
						'value' => 1,
						'label' => $this->l('Yes')
					),
					array(
						'id' => 'active_off',
						'value' => 0,
						'label' => $this->l('No')
					)
				),
			),
			array(
				'type' => 'switch',
				'label' => $this->l('Alerts on new order to Admin:'),
				'name' => 'NEWORDERA',
				'class' => 'fixed-width-md',
				'desc' => $this->l('Send to Admin'),
				'values' => array(
					array(
						'id' => 'active_on',
						'value' => 1,
						'label' => $this->l('Yes')
					),
					array(
						'id' => 'active_off',
						'value' => 0,
						'label' => $this->l('No')
					)
				),
			),
			array(
				'type' => 'switch',
				'label' => $this->l('Alerts on new order to Customer:'),
				'name' => 'NEWORDERC',
				'class' => 'fixed-width-md',
				'desc' => $this->l('Send to Customer'),
				'values' => array(
					array(
						'id' => 'active_on',
						'value' => 1,
						'label' => $this->l('Yes')
					),
					array(
						'id' => 'active_off',
						'value' => 0,
						'label' => $this->l('No')
					)
				),
			),
			array(
				'type' => 'switch',
				'label' => $this->l('Alerts on new free order to admin:'),
				'class' => 'fixed-width-md',
				'name' => 'NEWORDERFA',
				'desc' => $this->l('Send to Admin'),
				'values' => array(
					array(
						'id' => 'active_on',
						'value' => 1,
						'label' => $this->l('Yes')
					),
					array(
						'id' => 'active_off',
						'value' => 0,
						'label' => $this->l('No')
					)
				),
			),
			array(
				'type' => 'switch',
				'label' => $this->l('Alerts on new free order to customer:'),
				'name' => 'NEWORDERFC',
				'class' => 'fixed-width-md',
				'desc' => $this->l('Send to Customer'),
				'values' => array(
					array(
						'id' => 'active_on',
						'value' => 1,
						'label' => $this->l('Yes')
					),
					array(
						'id' => 'active_off',
						'value' => 0,
						'label' => $this->l('No')
					)
				),
			),
			array(
				'type' => 'switch',
				'label' => $this->l('Alert on update order status to customer:'),
				'name' => 'UPDATEORDERC',
				'class' => 'fixed-width-md',
				'desc' => $this->l('Send to Customer'),
				'hint' => $this->l('When enabled, the checkbox in order status update pane of order edit page checked as default.'),
				'values' => array(
					array(
						'id' => 'active_on',
						'value' => 1,
						'label' => $this->l('Yes')
					),
					array(
						'id' => 'active_off',
						'value' => 0,
						'label' => $this->l('No')
					)
				),
			),
			array(
				'type' => 'switch',
				'label' => $this->l('Alert on set order tracking number to customer:'),
				'name' => 'ORDERTRACKING',
				'class' => 'fixed-width-md',
				'desc' => $this->l('Send to Customer'),
				'hint' => $this->l('When enabled, the checkbox in order tracking number update pane of order edit page checked as default.'),
				'values' => array(
					array(
						'id' => 'active_on',
						'value' => 1,
						'label' => $this->l('Yes')
					),
					array(
						'id' => 'active_off',
						'value' => 0,
						'label' => $this->l('No')
					)
				),
			),
			array(
				'type' => 'radio',
				'label' => $this->l('Order Mobile Number:'),
				'name' => 'ORDERMOBILE',
				'class' => 'fixed-width-xxl',
				'desc' => $this->l('Which mobile number should be used for order alerts. If you have guest customer, choose order number'),
				'values' => array(
					array(
						'id' => 'firstaddress',
						'value' => 'firstaddress',
						'label' => $this->l('Customer First Address Mobile'),
					),
					array(
						'id' => 'orderaddress',
						'value' => 'orderaddress',
						'label' => $this->l('Order Address Mobile'),
					),
				)
			),
			array(
				'type' => 'switch',
				'label' => $this->l('Alert on create new address to customer:'),
				'name' => 'NEWADDMOBILE',
				'class' => 'fixed-width-md',
				'desc' => $this->l('Send to Customer'),
				'values' => array(
					array(
						'id' => 'active_on',
						'value' => 1,
						'label' => $this->l('Yes')
					),
					array(
						'id' => 'active_off',
						'value' => 0,
						'label' => $this->l('No')
					)
				),
			),
			array(
				'type' => 'switch',
				'label' => $this->l('Alerts when pruducts goes out of stock:'),
				'class' => 'fixed-width-md',
				'name' => 'OUTOFSTOCK',
				'desc' => $this->l('Send to Admin'),
				'values' => array(
					array(
						'id' => 'active_on',
						'value' => 1,
						'label' => $this->l('Yes')
					),
					array(
						'id' => 'active_off',
						'value' => 0,
						'label' => $this->l('No')
					)
				),
			),
				array(
					'type' => 'text',
					'label' => $this->l('Threshold:'),
					'name' => 'OUTOFSTOCKTHRESHOLD',
					'class' => 'fixed-width-md',
					'desc' => $this->l('Quantity for which a product is considered out of stock.'),
				),
			array(
				'type' => 'text',
				'label' => $this->l('User Invoice Url Pattern:'),
				'name' => 'USERINVOICE',
				'class' => 'ltr',
				'desc' => $this->l('User invoice url pattern. Default url is : "/index.php?controller=pdf-invoice&id_order={order_id}" '),
			),
			array(
				'type' => 'text',
				'label' => $this->l('Guest Invoice Url Pattern:'),
				'name' => 'GUESTINVOICE',
				'class' => 'ltr',
				'desc' => $this->l('Guest invoice url pattern. Default url is : "/guest-tracking?order_reference={order_reference}&email={guest_email}"'),
			),
			array(
				'type' => 'text',
				'label' => $this->l('Invoice Short Url Pattern:'),
				'name' => 'SHORTINVOICEKEY',
				'class' => 'fixed-width-lg ltr',
				'desc' => $this->l('Choose Invoice short url first argument; for example, if you type "L" your short invoice link will be http://yoursiteurl/L/ASDFVR . Attention: If you change this all generaterd short links will redirect to 404 page.'),
			),
			array(
				'type' => 'text',
				'label' => $this->l('Admin Invoice Url Pattern:'),
				'name' => 'ADMININVOICE',
				'class' => 'ltr',
				'desc' => $this->l('Admin invoice url pattern. You can use these variabels: ').'{order_id} {order_reference} {adminToken}',
			),
			array(
				'type' => 'text',
				'label' => $this->l('Shop Name:'),
				'name' => 'SHOPNAME',
				'class' => 'fixed-width-lg',
				'desc' => $this->l('Type shop name if you want.'),
				'hint' => $this->l('Shop name in SMS texts.'),
			),
			array(
				'type' => 'switch',
				'label' => $this->l('Use cron to send SMS:'),
				'name' => 'CRONJOB',
				'class' => 'fixed-width-md',
				'desc' => $this->l('Enable if you want to cron to send SMS by cron job system.').'<div id="croncode" class="alert alert-info"><p>برای اینکه از کرون برای ارسال پیامک استفاده کنید باید آدرس زیر را هر دقیقه یا در دوره های زمانی دلخواه خودتان در سرور اجرا نمایید. در صورتی که سیستم هاست شما Cpanel یا DirectAdmin باشد به بخش Cron Jobs هاست خود مراجعه نمایید و تنظیم کنید آدرس زیر هر دقیقه فراخوانی شود. </p><code class="ltrblocklink">'._PS_BASE_URL_._MODULE_DIR_.'panelyabsms/panelyabsms-cron.php?token='.substr(Tools::encrypt('panelyabsms/cron'), 0, 10).'</code><p>به عنوان مثال در cpanel و DirectAdmin عبارت زیر را وارد نمایید و تعیین کنید که هر دقیه اجرا شود:</p><code class="ltrblocklink">wget -O /dev/null '._PS_BASE_URL_._MODULE_DIR_.'panelyabsms/panelyabsms-cron.php?token='.substr(Tools::encrypt('panelyabsms/cron'), 0, 10).'</code><p>راهنمایی بیشتر: https://stackoverflow.com/questions/7332804/run-a-php-file-in-a-cron-job-using-cpanel</p><hr><div><label>آخرین اجرای کرون افزونه: </label><span>'.$cronLastRunTime.'</span> - <label>مدت زمان اجرای آخرین کرون: </label><span>'.$cronLastRunDuration.' ثانیه</span></div><p>جهت ذخیره و مشاهده لاگ کرون افزونه می توانید در صفحه تنظیمات درگاه، حالت دیباگ را فعال نمایید. پس از فعال سازی هنگام اجرای کرون افزونه نتیجه در فایلی با نام cron.txt در پوشه debug افزونه ذخیره می گردد.</p></div>',
				'hint' => $this->l('If the process of sending SMS is slow, you can use cron to send it after a while.'),
				'values' => array(
					array(
						'id' => 'active_on',
						'value' => 1,
						'label' => $this->l('Yes')
					),
					array(
						'id' => 'active_off',
						'value' => 0,
						'label' => $this->l('No')
					)
				),
			),
			array(
				'type' => 'checkbox',
				'label' => $this->l('Use cron in this states:'),
				'name' => 'CRON',
				'class' => 'fixed-width-sm cron-states',
				'desc' => $this->l('Which of these states run in Cron.'),
				'values' => array(
					'id' => 'id',
					'name' => 'name',
					'query' => array(
						array(
							'id' => 'newacount',
							'name' => $this->l('New Account SMS'),
							'val' => 1
						),
						array(
							'id' => 'neworder',
							'name' => $this->l('New Order SMS'),
							'val' => 1
						),
						array(
							'id' => 'updateorder',
							'name' => $this->l('Update Order SMS'),
							'val' => 1
						),
						array(
							'id' => 'updateOrderTracking',
							'name' => $this->l('Update Order Tracking SMS'),
							'val' => 1
						),
						array(
							'id' => 'newaddress',
							'name' => $this->l('New Address SMS'),
							'val' => 1
						),
						array(
							'id' => 'outofstock',
							'name' => $this->l('Out of Stock SMS'),
							'val' => 1
						),

						array(
							'id' => 'manual',
							'name' => $this->l('Manual SMS'),
							'val' => 1
						),
						array(
							'id' => 'allcustomers',
							'name' => $this->l('All Customers SMS'),
							'val' => 1
						),
					),
				)
			),
			array(
				'type' => 'text',
				'label' => $this->l('Items to send on cron:'),
				'name' => 'CRONITEMS',
				'class' => 'fixed-width-lg',
				'desc' => $this->l('How many SMS should be sent on cron.'),
			),
		),
		'submit' => array(
			'title' => $this->l('Update Settings'),
			'name' => 'alertssettings',
		)
	),
);
?>