<?php
/**
* 2007-2020 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
*
*  @author    smspanelyab
*  @copyright 2020 panelyabpanel
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*/
$resetbutton = ' <button name="RESETPANELAUTH" type="submit" class="btn btn-info">بررسی مجدد اطلاعات درگاه</button>';
if($gatewayWarning) $gatewayWarning .= $resetbutton;
if($gatewaySuccess) $gatewaySuccess .= $resetbutton;
$fields_form_gateway = array(
	'form' => array(
		'legend' => array(
			'title' => $this->l('Gateway Settings'),
			'icon' => 'icon-cogs'
		),
		'description' => $gatewayDescription,
		'warning' => $gatewayWarning,
		'success' => $gatewaySuccess,
		'error' => $gatewayError,
		'input' => array(
			array(
				'type' => 'text',
				'label' => $this->l('Token:'),
				'name' => 'USERNAME',
				'class' => 'fixed-width-lg',
				'desc' => $this->l('ex: Token.'),
				'hint' => $this->l('Type your SMS Panel Token'),
				
			),
			array(
				'type' => 'text',
				'label' => $this->l('Admin phone:'),
				'name' => 'ADMINPHONE',
				'class' => 'fixed-width-lg',
				'desc' => $this->l('ex: 09123456789'),
				'hint' => $this->l('This phone will get all administrator SMS'),
			),
			array(
				'type' => 'text',
				'label' => $this->l('Sms number:'),
				'name' => 'SMSNUMBER',
				'class' => 'fixed-width-lg',
				'desc' => $this->l('ex: +985000XXXXXXX'),
				'hint' => $this->l('Normal SMS will send from this number'),
			),
			array(
				'type' => 'text',
				'label' => $this->l('Service Sms number:'),
				'name' => 'SMSSENUMBER',
				'class' => 'fixed-width-lg',
				'desc' => $this->l('ex: +985000XXXXXXX'),
				'hint' => $this->l('By sample SMS will send from this number'),
			),
			array(
				'type' => 'switch',
				'label' => $this->l('Enable SMS system:'),
				'name' => 'SMSENABLE',
				'class' => 'fixed-width-md',
				'desc' => $this->l('Enable if you want you site to send SMS.'),
				'values' => array(
					array(
						'id' => 'active_on',
						'value' => 1,
						'label' => $this->l('Yes')
					),
					array(
						'id' => 'active_off',
						'value' => 0,
						'label' => $this->l('No')
					)
				),
			),
			array(
				'type' => 'switch',
				'label' => $this->l('panelyabpanel Top Menu:'),
				'name' => 'TOPMENU',
				'class' => 'fixed-width-md',
				'desc' => $this->l('Show panelyabpanel Top menu.'),
				'values' => array(
					array(
						'id' => 'active_on',
						'value' => 1,
						'label' => $this->l('Yes')
					),
					array(
						'id' => 'active_off',
						'value' => 0,
						'label' => $this->l('No')
					)
				),
			),
			array(
				'type' => 'switch',
				'label' => $this->l('Low Credit Alert:'),
				'name' => 'LOWCREDITALERT',
				'class' => 'fixed-width-md',
				'desc' => $this->l('Show an alert on admin dashboard when your SMS credit is low.'),
				'values' => array(
					array(
						'id' => 'active_on',
						'value' => 1,
						'label' => $this->l('Yes')
					),
					array(
						'id' => 'active_off',
						'value' => 0,
						'label' => $this->l('No')
					)
				),
			),
			array(
				'type' => 'switch',
				'label' => $this->l('Clear Logs on Uninstall:'),
				'name' => 'UNINSTALLDB',
				'class' => 'fixed-width-md',
				'desc' => $this->l('Enable if you want to clear all SMS logs when you uninstall this module.'),
				'values' => array(
					array(
						'id' => 'active_on',
						'value' => 1,
						'label' => $this->l('Yes')
					),
					array(
						'id' => 'active_off',
						'value' => 0,
						'label' => $this->l('No')
					)
				),
			),
			array(
				'type' => 'switch',
				'label' => $this->l('Debug:'),
				'name' => 'DEBUG',
				'class' => 'fixed-width-md',
				'desc' => $this->l('Enable if you want to debug parts of the module.'),
				'hint' => $this->l('When you enable debug mode, the module will write some log in debug folder.'),
				'values' => array(
					array(
						'id' => 'active_on',
						'value' => 1,
						'label' => $this->l('Yes')
					),
					array(
						'id' => 'active_off',
						'value' => 0,
						'label' => $this->l('No')
					)
				),
			),
			array(
				'type' => 'text',
				'label' => $this->l('Panel Address:'),
				'name' => 'PANELADDRESS',
				'class' => 'fixed-width-lg',
				'desc' => $this->l('https://panelyabpanel.com'),
				'hint' => $this->l('Change it by support agent advice!'),
			),
		),
		'submit' => array(
			'title' => $this->l('Update Settings'),
			'name' => 'gatewaysettings',
		)
	),
);