<?php
/**
* 2007-2020 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
*
*  @author    panelyabpanel
*  @copyright 2020 panelyabpanel
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*/
$fields_form_sms_texts = array(
	'form' => array(
		'legend' => array(
			'title' => $this->l('SMS Texts'),
			'icon' => 'icon-cogs'
		),
		'input' => array(
			array(
				'type' => 'radio',
				'label' => $this->l('Text for Admin on New Account:'),
				'name' => 'NEWACADTETYPE',
				'hint' => $this->l('Select which type you want to send to admin on new account event.'),
				'values' => array(
					array(
						'id' => 'default',
						'value' => 'default',
						'label' => $this->l('default')
					),
					array(
						'id' => 'custom',
						'value' => 'custom',
						'label' => $this->l('Custom Text or Pattern')
					),
				)
			),
			array(
				'type' => 'textarea',
				'label' => $this->l('Custom Text or Variables of Pattern:').'<a class="p-wizard" data-sample="%name% در سايت %sitename% ثبت نام نمود.
">'.$this->l('Pattern Wizard').'</a>',
				'name' => 'NEWACADTEXT',
				'class' => 'fixed-width-lg',
				'desc' => $this->l('Variables:').' {gender} {firstname} {lastname} {shop_name}',
			),
			array(
				'type' => 'radio',
				'label' => $this->l('Text for Customer on New Account:'),
				'name' => 'NEWACCUTETYPE',
				'hint' => $this->l('Select which type you want to send to customer on new account event.'),
				'values' => array(
					array(
						'id' => 'default',
						'value' => 'default',
						'label' => $this->l('default')
					),
					array(
						'id' => 'custom',
						'value' => 'custom',
						'label' => $this->l('Custom Text or Pattern')
					),
				)
			),
			array(
				'type' => 'textarea',
				'label' => $this->l('Custom Text or Variables of Pattern:').'<center><a class="p-wizard" data-sample="%name% عزيز،
از اینکه عضو %sitename% شدید سپاسگزاریم.">'.$this->l('Pattern Wizard').'</a></center>',
				'name' => 'NEWACCUTEXT',
				'class' => 'fixed-width-lg',
				'desc' => $this->l('Variables:').' {gender} {firstname} {lastname} {shop_name} {password} {email}',
			),
			array(
				'type' => 'radio',
				'label' => $this->l('Text for Customer on New Address:'),
				'name' => 'NEWADDRTETYPE',
				'hint' => $this->l('Select which type you want to send to customer on new address event.'),
				'values' => array(
					array(
						'id' => 'default',
						'value' => 'default',
						'label' => $this->l('default')
					),
					array(
						'id' => 'custom',
						'value' => 'custom',
						'label' => $this->l('Custom Text or Pattern')
					),
				)
			),
			array(
				'type' => 'textarea',
				'label' => $this->l('Custom Text or Variables of Pattern:').'<center><a class="p-wizard" data-sample="%name% عزيز،
از اینکه عضو %sitename% شدید سپاسگزاریم.">'.$this->l('Pattern Wizard').'</a></center>',
				'name' => 'NEWADDRTEXT',
				'class' => 'fixed-width-lg',
				'desc' => $this->l('Variables:').' {gender} {firstname} {lastname} {email} {shop_name}',
			),
			array(
				'type' => 'radio',
				'label' => $this->l('Text for Admin on New Order:'),
				'name' => 'NEWORADTETYPE',
				'hint' => $this->l('Select which type you want to send to admin on new order event.'),
				'values' => array(
					array(
						'id' => 'default',
						'value' => 'default',
						'label' => $this->l('default')
					),
					array(
						'id' => 'custom',
						'value' => 'custom',
						'label' => $this->l('Custom Text or Pattern')
					),
				)
			),
			array(
				'type' => 'textarea',
				'label' => $this->l('Custom Text or Variables of Pattern:').'<center><a class="p-wizard" data-sample="سفارش جديد: %order-code%<br>مشتري: %customer%<br>حامل: %carrier%<br>جمع خريد: %amount% %currency%">'.$this->l('Pattern Wizard').'</a></center>',
				'name' => 'NEWORADTEXT',
				'class' => 'fixed-width-lg',
				'desc' => $this->l('Variables:').' {firstname} {lastname} {email} {order_id} {order_reference} {payment} {total_paid} {currency} {shop_name} {carrier} {invoice} {adminInvoice} {order_products} {cart_message}',

			),
			array(
				'type' => 'radio',
				'label' => $this->l('Text for Customer on New Order:'),
				'name' => 'NEWORCUTETYPE',
				'hint' => $this->l('Select which type you want to send to customer on new order event.'),
				'values' => array(
					array(
						'id' => 'default',
						'value' => 'default',
						'label' => $this->l('default')
					),
					array(
						'id' => 'custom',
						'value' => 'custom',
						'label' => $this->l('Custom Text or Pattern')
					),
				)
			),
			array(
				'type' => 'textarea',
				'label' => $this->l('Custom Text or Variables of Pattern:').'<center><a class="p-wizard" data-sample="مشتری گرامی %name%،<br>سفارش شماره %order-code% به مبلغ %amount% ايجاد گرديد.">'.$this->l('Pattern Wizard').'</a></center>',
				'name' => 'NEWORCUTEXT',
				'class' => 'fixed-width-lg',
				'desc' => $this->l('Variables:').' {firstname} {lastname} {email} {order_id} {order_reference} {payment} {total_paid} {currency} {shop_name} {carrier} {invoice} {order_products} {cart_message}',
			),
			array(
				'type' => 'radio',
				'label' => $this->l('Text for Customer on Update Order:'),
				'name' => 'UPORCUTETYPE',
				'hint' => $this->l('Select which type you want to send to customer on update order event.'),
				'values' => array(
					array(
						'id' => 'default',
						'value' => 'default',
						'label' => $this->l('default')
					),
					array(
						'id' => 'custom',
						'value' => 'custom',
						'label' => $this->l('Custom Text or Pattern')
					),
				)
			),
			array(
				'type' => 'textarea',
				'label' => $this->l('Custom Text or Variables of Pattern:').'<center><a class="p-wizard" data-sample="مشتري گرامي %name%،<br>سفارش %order% در وضعيت %status% قرار گرفت.">'.$this->l('Pattern Wizard').'</a></center>',
				'name' => 'UPORCUTEXT',
				'class' => 'fixed-width-lg',
				'desc' => $this->l('Variables:').' {shop_name} {gender} {firstname} {lastname} {email} {order_id} {order_reference} {order_state} {carrier} {weekday} {total_paid} {invoice} {order_products} {cart_message}',
			),
			array(
				'type' => 'radio',
				'label' => $this->l('Text for Customer on Update Order Tracking:'),
				'name' => 'UPORTRTETYPE',
				'hint' => $this->l('Select which type you want to send to customer on update order tracking number.'),
				'values' => array(
					array(
						'id' => 'default',
						'value' => 'default',
						'label' => $this->l('default')
					),
					array(
						'id' => 'custom',
						'value' => 'custom',
						'label' => $this->l('Custom Text or Pattern')
					),
				)
			),
			array(
				'type' => 'textarea',
				'label' => $this->l('Custom Text or Variables of Pattern:').'<center><a class="p-wizard" data-sample="مشتری گرامی %name%،<br>
سفارش %order% با %service% و شماره پیگیری زیر ارسال شده است:<br>%tracking%">'.$this->l('Pattern Wizard').'</a></center>',
				'name' => 'UPORTRTEXT',
				'class' => 'fixed-width-lg',
				'desc' => $this->l('Variables:').' {shop_name} {gender} {firstname} {lastname} {email} {order_id} {order_reference} {carrier} {tracking} {total_paid} {invoice} {order_products} {cart_message}',
			),
			array(
				'type' => 'radio',
				'label' => $this->l('Text for Admin on out of stock:'),
				'name' => 'OUTOFSTOCKTETYPE',
				'hint' => $this->l('Select which type you want to send to admin when a product goes out of stock.'),
				'values' => array(
					array(
						'id' => 'default',
						'value' => 'default',
						'label' => $this->l('default')
					),
					array(
						'id' => 'custom',
						'value' => 'custom',
						'label' => $this->l('Custom Text or Pattern')
					),
				)
			),
			array(
				'type' => 'textarea',
				'label' => $this->l('Custom Text or Variables of Pattern:').'<center><a class="p-wizard" data-sample="محصول شماره : %product_id% با عنوان %product_name% در آستانه اتمام است.">'.$this->l('Pattern Wizard').'</a></center>',
				'name' => 'OUTOFSTOCKTEXT',
				'class' => 'fixed-width-lg',
				'desc' => $this->l('Variables:').' {product_id} {product_name} {product_name_only} {shop_name} {product_quantity} {product_reference}',
			),
		),
		'submit' => array(
			'title' => $this->l('Save'),
			'name' => 'smstexts',
		)
	),
);