<?php
/**
* 2007-2020 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
*
*  @author    smspanelyab
*  @copyright 2020 smspanelyab
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*/
	// test installed hooks:
	include('hooks.php');
	$notInstalledHooks = array();

	foreach($this->hooks as $hook){
        $sql = 'SELECT COUNT(*)
			FROM `'._DB_PREFIX_.'hook_module` hm
			LEFT JOIN `'._DB_PREFIX_.'hook` h ON (h.`id_hook` = hm.`id_hook`)
			LEFT JOIN `'._DB_PREFIX_.'hook_alias` hs ON (h.`name` = hs.`name`)
			WHERE (h.`name` = \''.pSQL($hook).'\' OR hs.`alias` = \''.pSQL($hook).'\') AND hm.`id_module` = '.(int)$this->id.' AND hm.`id_shop` = '.(int)$this->shop_id;
        if(Db::getInstance()->getValue($sql) < 1) {
			if(isset($_POST['repairhooks'])){
				if(!$this->registerHook($hook)) $notInstalledHooks[] = $hook;
			}else{
				$notInstalledHooks[] = $hook;
			}
		}
		
	}

	//test files:
	$directory = _PS_MODULE_DIR_.'panelyabsms/';
	$original_files = array(
	'controllers/admin/index.php',
	'controllers/admin/panelyabpanelAdminAjaxController.php',
	'controllers/front/index.php',
	'controllers/front/shortlink.php',
	'controllers/front/productshortlink.php',
	'controllers/front/adminshortlink.php',
	'controllers/index.php',
	'include/alertsform.php',
	'include/configs.php',
	'include/gatewayform.php',
	'include/hooks.php',
	'include/index.php',
	'include/jDateTime.php',
	'include/preparedsms.php',
	'include/sendsmsform.php',
	'include/sendtoallform.php',
	'include/sentsms.php',
	'include/smstextform.php',
	'include/submit.php',
	'include/testsystem.php',
	'include/welcomepage.php',
	'index.php',
	'panelyabsms-cron.php',
	'panelyabsms.php',
	'translations/fa.php',
	'translations/index.php',
	'upgrade/index.php',
	'views/css/backoffice.css',
	'views/css/backofficemobiles.css',
	'views/css/icon.css',
	'views/css/index.php',
	'views/index.php',
	'views/js/adminaddress.js',
	'views/js/admincustomers.js',
	'views/js/adminorders.js',
	'views/js/backoffice.js',
	'views/js/backofficemobiles.js',
	'views/js/index.php',
	'views/js/jquery-sortable.js',
	'views/templates/admin/admincustomer.tpl',
	'views/templates/admin/adminorder.tpl',
	'views/templates/admin/headerinfo.tpl',
	'views/templates/admin/index.php',
	'views/templates/hook/dashboard_panelyabpanel.tpl',
	'views/templates/hook/index.php',
	'views/templates/index.php');
	$missed_files = array();
	foreach($original_files as $file){
		if(!file_exists($directory.$file)){
			$missed_files[] = $directory.$file;
		}
	}
	//test phone_mobile in IR country address format:
	if(Tools::getValue('addMobileFieldtoIran')){
		$sql = 'UPDATE '._DB_PREFIX_.'address_format SET format = CONCAT(format, "\nphone_mobile") WHERE id_country IN (SELECT c.id_country FROM '._DB_PREFIX_.'country c WHERE c.iso_code = "IR");';
		Db::getInstance()->execute($sql,false);
		Tools::redirect($this->moduleSubpageUrl('testsystem'));
	}
	$address_mobile_notfound = 0;
	$sql = "SELECT c.iso_code, c.id_country, a.format FROM "._DB_PREFIX_."country c INNER JOIN "._DB_PREFIX_."address_format a ON a.id_country = c.id_country WHERE c.iso_code = 'IR';";
    if($country = Db::getInstance()->executeS($sql)){
		
		if (strpos($country[0]['format'], 'phone_mobile') == false) {
			$address_mobile_notfound = 1;
		}
	}

	$output .= '<div class="panel" id="fieldset_systemtest">
	<div class="panel-heading">
	<i class="icon-check-square-o"></i>
	'.$this->l('SMS System Testing').'
	</div>';
	$output .='<p style="line-height:2;text-align:justify;"><strong>سیستم تست افزونه چیست؟ آیا تغییری در سفارشات سایت ایجاد می کند؟</strong><br>پس از نصب افزونه پیامک panelyabpanel جهت تست پیامک ها و تنظیمات این افزونه بدون اینکه سفارشی ایجاد و تغییری در موجودی و محاسبات فروشگاه شما پیش بیاید می توانید تنظیمات این افزونه را آزمایش کنید. برای تست تنظیمات شما و اینکه چه متنی به کاربر یا مدیر ارسال خواهد شد از لینک های زیر استفاده نمایید.<br> به محض کلیک بر روی دکمه های ارسال پیامک، پیامکی با توجه به تنظیمات شما با اطلاعات تستی مشتری و محصول ارسال خواهد شد. تنها کاری که باید انجام شود تعیین شماره مشتری است.</p>';
	if($notInstalledHooks){
		$output .='<div class="alert alert-danger"> <b style="color:red">مهم: افزونه در تمام جایگاه های تعریف شده به درستی نصب نشده است. لیست جایگاه هایی که افزونه در آنها اجرا نمی شود عبارت از:</b> در صورتی که با تنظیم مجدد این افزونه این مشکل رفع نشد با پشتیبان افزونه تماس بگیرید.<ul>';
		foreach($notInstalledHooks as $hook){
			$output .= '<li>'.$hook.'</li>';		
		}
		$output .='</ul><form method="POST"><center><button type="submit" name="repairhooks">اصلاح این جایگاه ها</button></center></form></div>';
	}
	if($missed_files){
		$output .='<div class="alert alert-danger"> <b style="color:red">مهم: برخی از فایل های افزونه در سایت شما یافت نشد. لیست فایل های مفقود عبارت است از: </b> در صورتی که با نصب مجدد این افزونه این مشکل رفع نشد با پشتیبان سامانه پیامک تماس بگیرید.<ul>';
		foreach($missed_files as $file){
			$output .= '<li>'.$file.'</li>';		
		}
		$output .='</ul></div>';
	}
	
	if($address_mobile_notfound){
		$addMobileFieldurl = $this->moduleSubpageUrl('testsystem&addMobileFieldtoIran=1');
		$output .='<div class="alert alert-danger"> <b style="color:red">فیلد موبایل در فیلدهای آدرس کشور ایران وجود ندارد و مشتری نمی تواند شماره موبایل خود را برای دریافت پیامک وارد کند.</b><br> برای افزودن فیلد شماره موبایل به آدرس مربوط به کشور ایران <a href="'.$addMobileFieldurl.'">اینجا کلیک کنید</a>.';
		$output .='</div>';
	}
	$output .='<h4>جهت تست هر مورد روی آن کلیک کنید. (جهت تعیین شماره همراه مدیر به صفحه تنظیمات درگاه مراجعه نمایید)</h4>
	<div class="form-group"><label class="control-label col-lg-3">شماره برای دریافت نمونه پیامک مشتری:</label>
	<div class="col-lg-9"><input id="customer_number" placeholder="شماره همراه" class="fixed-width-lg" type="text"><p class="help-block">مانند: 09123456789</p></div></div>
	<table class="test-items data-table">
	<thead>
	<tr><td>موقعیت نمونه ارسال پیامک</td><td>شرایط ارسال</td><td>نتیجه ارسال</td></tr>
	</thead>
	<tbody>
	<tr title="برای تست ارسال پیامک کلیک کنید"  data-condition="newcustomer"><td>هنگام ثبت نام مشتری جدید</td><td>فعال بودن ارسال پیامک<br> ثبت شماره همراه مدیر در صفحه تنظیمات درگاه(جهت ارسال به مدیر)<br> فعال بودن ارسال پیامک به مدیر هنگام ثبت نام مشتری جدید<br> فعال بودن ارسال پیامک به مشتری هنگام ثبت نام</td><td class="result"></td></tr>
	<tr title="برای تست ارسال پیامک کلیک کنید"  data-condition="newaddress"><td>هنگام ثبت آدرس جدید</td><td>فعال بودن ارسال پیامک<br>فعال بودن ارسال پیامک به مشتری هنگام ثبت آدرس جدید</td><td class="result"></td></tr>
	<tr title="برای تست ارسال پیامک کلیک کنید"  data-condition="neworder"><td>هنگام ایجاد سفارش جدید</td><td>فعال بودن ارسال پیامک<br> ثبت شماره همراه مدیر در صفحه تنظیمات درگاه(جهت ارسال به مدیر)<br> فعال بودن ارسال پیامک به مدیر هنگام ثبت سفارش جدید<br> فعال بودن ارسال پیامک به مشتری هنگام ثبت  سفارش جدید</td><td class="result"></td></tr>
	<tr title="برای تست ارسال پیامک کلیک کنید"  data-condition="orderstatus"><td>هنگام تغییر وضعیت سفارش</td><td>فعال بودن ارسال پیامک به مشتری هنگام تغییر وضعیت سفارش</td><td class="result"></td></tr>
	<tr title="برای تست ارسال پیامک کلیک کنید"  data-condition="ordertracker"><td>هنگام ثبت کد رهگیری ارسال محصول</td><td>فعال بودن ارسال پیامک به مشتری هنگام ثبت کد رهگیری سفارش</td><td class="result"></td></tr>
	<tr title="برای تست ارسال پیامک کلیک کنید"  data-condition="newaddress"><td>هنگام ایجاد آدرس جدید</td><td>فعال بودن ارسال پیامک<br>فعال بودن ارسال پیامک به مشتری هنگام ایجاد آدرس جدید</td><td class="result"></td></tr>
	<tr title="برای تست ارسال پیامک کلیک کنید"  data-condition="outofstock"><td>هنگام اتمام موجودی یک کالا</td><td>فعال بودن ارسال پیامک<br>ثبت شماره همراه مدیر در صفحه تنظیمات درگاه<br>فعال بودن هشدار به مدیر هنگام اتمام موجودی یک کالا</td><td class="result"></td></tr>
	</tbody></table>';
	$output .= '</div>
		<div class="modal fade" id="panelyabpanelModal">
		  <div class="modal-dialog">
			<div class="modal-content">
			  <div class="modal-header">
				<button type="button" class="close modal-clear" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
				<h4 class="modal-title"></h4>
			  </div>
			  <div class="modal-body">
				<center><i class="process-icon-loading"></i></center>
			  </div>
			  <div class="modal-footer">
				<button type="button" class="btn btn-default modal-clear" data-dismiss="modal">'.$this->l('Close').'</button>
				
			  </div>
			</div><!-- /.modal-content -->
		  </div><!-- /.modal-dialog -->
		</div><!-- /.modal -->';